Skip to main content
GET
/
workspace
/
users
/
{user}
/
devices
List of CLI Devices
curl --request GET \
  --url https://wks-a1b2c3d4.provisionr.io/api/v1/workspace/users/{user}/devices \
  --header 'Authorization: Bearer <token>'
{
  "current_page": 2,
  "data": [
    {
      "id": "<string>",
      "app_composer_path": "<string>",
      "app_composer_version": "<string>",
      "app_cli_version": "<string>",
      "app_php_path": "<string>",
      "app_php_version": "<string>",
      "ip_address": "<string>",
      "os_chipset": "<string>",
      "os_hostname": "<string>",
      "os_platform": "<string>",
      "os_serial": "<string>",
      "os_uuid": "<string>",
      "os_version": "<string>",
      "count": {
        "workspace_logs_parent": 123,
        "workspace_logs_record": 123,
        "workspace_logs_related": 123
      },
      "timestamp": {
        "created_at": "<string>",
        "updated_at": "<string>",
        "deleted_at": "<string>"
      },
      "included": {
        "refresh_token": {
          "workspace_id": "<string>",
          "workspace_token_id": "<string>",
          "token_type": "cli_activation",
          "created_at": "2023-11-07T05:31:56Z",
          "last_used_at": "2023-11-07T05:31:56Z",
          "expires_at": "2023-11-07T05:31:56Z",
          "expires_at_mins": 123,
          "requested_at": "2023-11-07T05:31:56Z"
        },
        "workspace_user": {
          "id": "<string>",
          "state": "staged",
          "provider": "google",
          "provider_id": "<string>",
          "name": "<string>",
          "handle": "<string>",
          "email": "<string>"
        }
      },
      "links": {
        "self": "<string>",
        "refresh_token": "<string>",
        "workspace_user": "<string>",
        "workspace_logs_parent": "<string>",
        "workspace_logs_record": "<string>",
        "workspace_logs_related": "<string>"
      }
    }
  ],
  "first_page_url": "<string>",
  "from": 2,
  "last_page_url": "<string>",
  "last_page": 2,
  "links": [
    {
      "url": "<string>",
      "label": "<string>",
      "active": true
    }
  ],
  "next_page_url": "<string>",
  "path": "<string>",
  "per_page": 1,
  "prev_page_url": "<string>",
  "to": 2,
  "total": 1
}

Documentation Index

Fetch the complete documentation index at: https://docs.provisionr.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

user
string
required

The user ID

Query Parameters

sort
string
default:created_at

Available sorts are workspace_user_id, app_composer_path, app_composer_version, app_cli_version, app_php_path, app_php_version, ip_address, os_chipset, os_hostname, os_platform, os_serial, os_uuid, os_version, -user_id, -app_composer_path, -app_composer_version, -app_cli_version, -app_php_path, -app_php_version, -ip_address, -os_chipset, -os_hostname, -os_platform, -os_serial, -os_uuid, -os_version. You can sort by multiple options by separating them with a comma. To sort in descending order, use - sign in front of the sort, for example: -workspace_user_id.

page[size]
integer
default:500

The number of results that will be returned per page.

page[number]
integer

The page number to start the pagination from.

filter[id]
string
filter[app_composer_path]
string
filter[app_composer_version]
string
filter[app_cli_version]
string
filter[app_php_path]
string
filter[app_php_version]
string
filter[ip_address]
string
filter[os_chipset]
string
filter[os_hostname]
string
filter[os_platform]
string
filter[os_serial]
string
filter[os_uuid]
string
filter[os_version]
string
filter[created_before]
string
filter[created_after]
string
filter[updated_before]
string
filter[updated_after]
string
filter[deleted_before]
string
filter[deleted_after]
string
filter[trashed]
string

Can be a value of with (response will contain deleted items as well), only (will contain only deleted items), or any arbitrary value (will contain only not deleted items).

Response

Paginated set of WorkspaceDeviceDetailedResponseData

current_page
integer
required
Required range: x >= 1
data
WorkspaceDeviceDetailedResponseData · object[]
required
first_page_url
string | null
required
from
integer | null
required
Required range: x >= 1
last_page_url
string | null
required
last_page
integer
required
Required range: x >= 1

Generated paginator links.

next_page_url
string | null
required
path
string | null
required

Base path for paginator generated URLs.

per_page
integer
required

Number of items shown per page.

Required range: x >= 0
prev_page_url
string | null
required
to
integer | null
required

Number of the last item in the slice.

Required range: x >= 1
total
integer
required

Total number of items being paginated.

Required range: x >= 0